[DO NOT USE. Please use the Wikisource project] Wikisource related bugs and enhancements (tracking)
Closed, DeclinedPublic

Assigned To
T52561: Add Translation: namespace to Ukrainian Wikisource
T4007: Tracking bug - Do Not Use; superseded by the #Tracking tag
Blocked By
T60729: Please stop add space automatically when merge lines and pages in Chinese Wikisource
T73836: The collection should state to be in the actual license of the content
T73824: PDF rendering of any wikisource.org page fails
T73822: PDF output does't render ProofreadPage's <pages /> tag
T75407: Redirect mul.wikisource.org to wikisource.org
T71807: Renamed file returning error 404
T71774: User preference for number of search results displayed
T71771: English Wikisource: Tweak to search results elevating weighting for a specific namespace
T71765: m.wikisource.org seems to broken
T71658: Refining typeahead search results for subpages at English Wikisource
T71655: Re-enablement of webfonts for English Wikisource
T73406: mul: interwiki now available for oldwikisource //wikisource.org -> Wikidata
T73328: Improve organization (hierarchy) of wiki pages in the PDFs
T73319: de.source pages with hundreds {{SeitePR}}/{{PoemPR}} don't render/fatal
T71447: [regression] Unable to get old toolbar in namespace Page: whatsoever the preference request for the old toolbar and break the wikieditor toolbar
T71311: Swift outage caused a bunch of moved files to be "inconsistent" and "missing"
T66475: Make crosswiki bits and pieces truly global (tracking)
T64521: [enWikisource] Fine tuning data capture for [[s:en:Special:DeadendPages]]
T74525: harmonize Wikisource namespaces used by the ProofreadPage extension
T62767: Add support to <pagelist/> lists only verse OR obverse pages in a given interval
T72431: WikiEditor loads in different places in the Page namespace depending upon which user preferences are selected
T74077: Simple Wikisource app, search and epub output
T62249: A link should be provided to create a book from mobile
T62250: download a book from mobile should be possible
T72253: Ability to set a category to display linked page by {{SUBPAGENAME}} rather than {{PAGENAME}}
T67252: Rendered score image overlaps scan image on Wikisource
T58972: Djvulibre package is lacking into Labs; it's needed to manage djvu files by bots in wikisource projects
T58899: [enWikisource] Change to config to extend Print/export to more namespace
T73875: Create Oriya Wikisource
T72017: Consistency - 'toogleLayout' should be 'toggleLayout'
T60156: Text layer of DjVu doesn't appear in Page if it is linked from an index page
T60151: Collection exports everything to PDF regardless of chosen format (epub, openzim, odt)
T68597: Book tool incompatible with ProofreadPage extension, again
T61762: Desire to test Extension:SubPageList somewhere
T60033: Integrate book reader into MultimediaViewer
T68477: [[Special:Random/Canonical]] appears broken
T61678: Implement badtoken detection and recovery
T66801: Image rendering of subpages from a PDF file not working on Portuguese Wikisource within ProofreadPage extension
T59972: Page images in Page namespace not displayed
T59936: DjVu and PDF files fail to be read in Index pages.
T59813: Google Books > Internet Archive > Commons upload cycle
T59812: Annotation tool that uses Wikidata concepts to annotate statements from books
T59807: Merge proofread text back into Djvu files
T66622: Error generating thumbnail: As an anti-spam measure, you are limited from performing this action too many times
T64779: UpdateRepoOnMoveJob not registered in wikidata for wikisource page moves
T64717: Move oldwikisource on www.wikisource.org to mul.wikisource.org
T54709: Add Index and Page namespaces to $wgContentNamespaces
T54708: Add Index namespace to $wgNamespacesToBeSearchedDefault by default
T47955: When we look at a page on the web mobile site of wikisource, we can't turn the page
T59351: To add some basic djvulibre calls to API
T49561: Book upload customization
T49533: Audio player takes a long time to initialize when requesting Vorbis output via <score> invocation
T51023: in Page namespace, provide link(s) to ns0 page(s) which transclude the current Page:
T59198: Special:IndexPages: Add a sort by the number of page remaining to correct
T46032: Deploy Narayam or ULS on the multilingual WikiSource
T45921: Add option to change the position of scanned page
T42444: Some pages are not transcluded while using <pages> tag
T44008: Revert bug 27860 or add configuration variable to restore "Mark all edits minor by default" preference behaviour
T52294: Proofreading screen and spell checker
T49011: wiki link contained in index page are mishandled if they contain a ":"
T48941: Flagged revisions not properly marked
T50538: Create a single score from multiple pages on Wikisource
T52007: Add Translation: namespace to English Wikisource
T43614: ProofreadPage does not use image's full resolution when zooming in
T40498: Add an OAI-PMH API for index page
T48724: Improve the Page: pages storage system
T50308: Localization of namespace names on ukWikisource
T48616: ProofreadPage extension needs to be refactored
T48580: Create a VisualEditor plugin to integrate with ProofreadPage
T48578: Refactor the edition of Page: pages JavaScript module
T43388: [Regression] DjVu size info not extracted, thumbs failing
T45168: Gadget HotCats doesn't behave with Index: forms
T43324: Collection and ProofreadPage in Wikisource sometimes create nearly empty PDF files
T46638: enWikisource: template ns lost subpages
T48306: Add option to disable ULS (and disable it by default)
T44853: English Wikisource — creation of namespace aliases
T36540: Text edit box encoding problem with PDF
T41268: [Regression] Dynamically added textarea within the editform no longer work in the classic edit toolbar
T41264: Create Page: (Tudalen:) and Index: (Indecs) namespaces for ProofreadPage in Welsh (cy.) Wikisource
T34695: Implement, Review and Deploy Wikicaptcha
T39764: InstantCommons doesn't display DjVu on some installs
T38229: Proofread toolbar disappear occasionally
T38230: Advanced edit toolbar doesn't allow changing the width of the editor textbox on Wikisource projects.
T34590: Blank entry in Special:IndexPages
T38158: <pages> transclusions allow for infinite loop
T38157: Header transclusion allows for infinite loop
T46320: Clean Page and Index namespaces configuration for Wikisource
T38125: Position of quality buttons should be the same for registered and anonymous users
T38124: Deploy ProofreadPage extension on test2
T42788: A mainspace page transcluding a Page namespace page generates an error while displaying
T38115: Anon users can't change the quality at ProofreadPage extension anymore
T32906: Store DjVu extracted text in a structured table instead of img_metadata
T38094: Default to ON for (proofreadpage-showheaders) @ enwikisource
T42759: ProofreadPage namespaces for Finnish Wikisource
T38070: bnwikisource index table should show the page number in Bengali
T38066: Proofread Page Tools not shown if Enhanced Edit Toolbar enabled.
T39563: Proofread Page maximum width for images generated from djvu files
T38033: Interwiki language links to non-existent wikisources should redirect to the multilingual wikisource
T44527: Wikisources transcluded <noinclude> tags broken in labelled section transclusions through Proofread Page
T34411: Transwiki import to multilingual (old) wikisource broken: fix $wgImportSources
T38018: Empty XHTML tag br in mobile view
T38002: Mobile view fails for two-level domain names like multilingual wikisource (http://wikisource.org)
T34372: Wikieditor toolbar has only a half of screen width
T39483: ProofreadPage extension should handle its namespaces in a more sensible manner
T44466: Text layer of DjVu files doesn't appear in Page namespace due to higher memory consumption after upgrade to Ubuntu 12.04
T32723: Import should always use original wiki's namespace names in log entries and trim namespaces it doesn't know in the target title to allow manual choice
T29558: Create a link capability for "Page status"
T44426: Loss of indexes at Wikisource — minimum en/fr
T39419: Rewriting of the index pages configuration
T37895: DjVu thumbs failing (fuzzy black image; 2144×3282px)
T31023: Test installation and suitability of Extension:EPubExport for English Wikisource
T34189: An interlanguage link to oldwikisource is required
T30894: Proofread Page extension needs an API module to set or change page status
T37757: Not possible to transclude to single paragraph over multiple instances of <pages />
T30865: manual synchronisation points
T35882: "Download as PDF" outputs A4
T39056: Error in Number of Articles on mk.wikisource
T38979: add pagequality class in links to Page namespace
T35613: ProofreadPage image width on edit
T33775: Improved version of PdfHandler
T37380: file path for paged media
T25287: Problems after setting $wgCategoryPrefixedDefaultSortkey on Swedish Wikisource
T33678: Download as PDF image formatted incorrectly
T26896: Bad positioning of scanned image beside text
T33566: toolbar and header/footer from proofread page on wikisource
T33552: PDF related (Collection extension) bugs (tracking)
T23338: New user right: "Allow large uploads"
T37122: pdftotext should be poppler version not xpdf version on wikisource
T30102: Provide more search options in indexes
T28448: Make Collection extension to automatically create collections for existing books on Wikibooks/Wikisources
T30058: Collection extension should use relative links on [[Special:Book]]
T35193: Review and deploy Score extension to Wikimedia wikis
T28303: WikiEditor toc module: textarea not hidden on ProofreadPage pages
T23061: Add uploaded file text and metadata from files to fulltext search set
T29860: Do not mark edits as minor by default on new section or new page creation
T26322: imagelinks should include ProofreadPage pages
T19791: ProofreadPage broken for GIF images due to assuming it can always create thumbnails
T20890: Enable editors to declare ref body text outside of main article prose. Also Enable editors to control footnote ordering.
T14223: Allow distinction between inline and display math
T20861: Search should index template expansion
T9355: Enable [[mw:Extension:LilyPond]] on Wikisource sites
T10697: Implement button for marking all N changes as patrolled in a multi-edit span diff
T15644: Add automatic line numbering capability to <poem> tag
T8810: create <prose> tag
T10480: Support multi-page DjVu files and other image handler parameters in image galleries
T8808: Allow import to different page name
T8575: need way to have header not be in table of contents
T15370: Search media (images, videos, sounds, etc) by relevant metadata
T11890: Reasonably efficient interwiki transclusion
T8421: Extract embedded text from DjVu and PDF documents for search
T17071: Wikibooks/Wikisource needs means to associate separate pages with books
T9756: multi-resolution image viewer
T6198: Suggestion to implement page-level links into uploaded PDF files [[media:foo.pdf|page=n]]
T11536: Improve inline data editing with textual dialects
T13259: Djvu thumbnailing should dynamically select PNG or JPG
T16910: Paragraph due to <poem compact> tag
T6073: Support exporting content in DocBook format
T2576: [OAI-PMH] Open Archives Initiative Protocol for Metadata Harvesting (tracking)
T18674: Broken revisions with rev_page=0
T16788: Support linking to the image description page of a specific "page" of an image, using wiki internal link syntax
T2189: Add a music wikimodule
jayantanth, Ricordisamoa, Nemo_bis and 8 others

This tracking task has been superseded by the project Wikisource as requested in T78498: Convert tracking bug T37925 (Wikisource related requests) into a Phabricator project. Please use / watch the project Wikisource instead of this task.

Original description:

Tracking bug for management of Wikisource specific issues, including extensions of particular importance to Wikisource such as ProofreadPage, PDF Handler, PagedTiffHandler, Collection (pdf book creator), LabeledSection Transclusion, Poem, DoubleWiki, and WebFonts

Version: unspecified
Severity: normal
URL: https://wikisource.org/wiki/Wikisource:Wishlist

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz35925.
Doug created this task.Via LegacyApr 12 2012, 7:55 PM
Liuxinyu970226 added a subscriber: Liuxinyu970226.Via WebNov 29 2014, 7:16 AM
GOIII added a subscriber: GOIII.Via WebDec 21 2014, 6:15 PM
Aklapper added a comment.Via WebMar 7 2015, 4:52 PM

Note that this tracking task will soon be converted into a Phabricator project, as proposed in T78498: Convert tracking bug T37925 (Wikisource related requests) into a Phabricator project.

MarkAHershberger removed a subscriber: MarkAHershberger.Via EmailMar 7 2015, 6:18 PM
Aklapper closed this task as "Declined".Via WebMar 10 2015, 4:21 PM
Aklapper edited the task description. (Show Details)
Aklapper added a project: Wikisource.
Aklapper set Security to None.

This tracking task has been superseded by the project Wikisource as requested in T78498: Convert tracking bug T37925 (Wikisource related requests) into a Phabricator project. Please use / watch the project Wikisource instead of this task.

Liuxinyu970226 removed a subscriber: Liuxinyu970226.Via WebMar 10 2015, 11:49 PM
Nemo_bis added a comment.Via WebMar 11 2015, 12:24 PM

Please use / watch the project Wikisource instead of this task.

I wish I could, but that would increase my subscriptions in this area by 180 %.

Ricordisamoa added a subscriber: Ricordisamoa.Via WebMar 14 2015, 9:08 PM
jayantanth added a subscriber: jayantanth.Via WebSep 19 2015, 7:46 PM
Billinghurst changed the title from "Wikisource related bugs and enhancements (tracking)" to "[NO NOT USE. Please use the Wikisource project] Wikisource related bugs and enhancements (tracking)".Via WebSep 27 2015, 1:26 AM
Billinghurst changed the title from "[NO NOT USE. Please use the Wikisource project] Wikisource related bugs and enhancements (tracking)" to "[DO NOT USE. Please use the Wikisource project] Wikisource related bugs and enhancements (tracking)".Via WebOct 27 2015, 7:02 AM
Qgil removed a subscriber: Qgil.Via WebOct 27 2015, 12:05 PM

Add Comment